Buteo::IPHeartBeat Class Reference

IPHeartBeat implementation. More...

`#include <IPHeartBeat.h>`

Inheritance diagram for Buteo::IPHeartBeat:

## Signals

void | onHeartBeat (QString aProfName)
| This signal will be emitted when a heartbeat for particular profile is triggered.

## Public Member Functions

| IPHeartBeat (QObject *aParent)
| Constructor.
virtual | ~IPHeartBeat ()
| Destructor.
bool | setHeartBeat (const QString &aProfName, ushort aMinWaitTime, ushort aMaxWaitTime)
| Schedules a heartbeat for this profile between minWaitTime and maxWaitTime.
void | removeWait (const QString &aProfName)
| Removes heart beat waiting for a profile.
void | removeAllWaits ()
| Removes heart beat waiting for all profiles.

## Detailed Description

IPHeartBeat implementation.

This class manages heart beats for different profiles.

## Constructor & Destructor Documentation

## IPHeartBeat()

IPHeartBeat::IPHeartBeat | ( | QObject * | aParent | ) |

Constructor.

Parameters

  aParent | Parent object.

## Member Function Documentation

## onHeartBeat

void Buteo::IPHeartBeat::onHeartBeat | ( | QString | aProfName | ) |

signal

This signal will be emitted when a heartbeat for particular profile is triggered.

Parameters

  aProfName | Name of the profile for which heart beat is triggered.

## removeWait()

void IPHeartBeat::removeWait | ( | const QString & | aProfName | ) |

Removes heart beat waiting for a profile.

Parameters

  aProfName | Name of the profile.

## setHeartBeat()

bool IPHeartBeat::setHeartBeat | ( | const QString & | aProfName,
|  | ushort | aMinWaitTime,
|  | ushort | aMaxWaitTime )

Schedules a heartbeat for this profile between minWaitTime and maxWaitTime.

The beat will be generated between minWaitTime and maxWaitTime seconds

Parameters

  aProfName | Name of the profile.
  aMinWaitTime | Minimum wait time in seconds.
  aMaxWaitTime | Minimum wait time in seconds.

Returns
  Success indicator.

The documentation for this class was generated from the following files:

- IPHeartBeat.h
- IPHeartBeat.cpp